Package org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQL11SyntaxTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQL11SyntaxTest

- All Implemented Interfaces:
    `junit.framework.Test`

      @Deprecated
      public abstract class SPARQL11SyntaxTest
      extends junit.framework.TestCase

  Deprecated.
  since 3.3.0 Use `SPARQL11SyntaxComplianceTest` instead.
  A SPARQL 1.1 syntax test, created by reading in a W3C working-group style manifest.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `SPARQL11SyntaxTest.Factory` | Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `positiveTest` | Deprecated.
    `protected String` | `queryFileURL` | Deprecated.
    `protected String` | `testURI` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQL11SyntaxTest​(String testURI, String name, String queryFileURL, boolean positiveTest)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract ParsedOperation` | `parseOperation​(String operation, String fileURL)` | Deprecated.
    `protected void` | `runTest()` | Deprecated.
    `static junit.framework.Test` | `suite()` | Deprecated.
    `static junit.framework.Test` | `suite​(SPARQL11SyntaxTest.Factory factory, boolean useRemote)` | Deprecated.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### testURI

          protected final String testURI

      Deprecated.

    - #### queryFileURL

          protected final String queryFileURL

      Deprecated.

    - #### positiveTest

          protected final boolean positiveTest

      Deprecated.

  - ### Constructor Detail

    - #### SPARQL11SyntaxTest

          public SPARQL11SyntaxTest​(String testURI,
                                    String name,
                                    String queryFileURL,
                                    boolean positiveTest)

      Deprecated.

  - ### Method Detail

    - #### runTest

          protected void runTest()
                          throws Exception

      Deprecated.
      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### parseOperation

          protected abstract ParsedOperation parseOperation​(String operation,
                                                            String fileURL)
                                                     throws MalformedQueryException

      Deprecated.
      Throws:
        `MalformedQueryException`

    - #### suite

          public static junit.framework.Test suite()
                                            throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.Test suite​(SPARQL11SyntaxTest.Factory factory,
                                                   boolean useRemote)
                                            throws Exception

      Deprecated.
      Throws:
        `Exception`